@import "i.css";
@import "global.css";

$wery-light-green: #e6ebe6;
$dark-green: #053b06;

@mixin box-shadow-pop-up() {
  box-shadow: 0px 2px 7px 3px rgba(18, 16, 11, 0.15);
}

.wallet {
  position: relative;
  overflow: hidden;
  cursor: pointer;

  .wallet-pop-up.i-pop-up {
    position: absolute;
    opacity: 0;
    top: 50%;
    right: -10px;
    background: #ffffff;
    min-width: 255px;
  }
}
.wallet:hover {
  overflow: visible;

  .wallet-pop-up.i-pop-up {
    position: absolute;
    opacity: 1;
    top: 97%;
    right: 0;
    padding: 9px;
    @include box-shadow-pop-up();

    table {
      tr {
        th:nth-child(1), td:nth-child(1) {
          width: 120px;
        }
        th:nth-child(2), td:nth-child(2) {
          width: 50px;
        }
        th:nth-child(3), td:nth-child(3) {
          width: 15px;
        }
      }
    }
    table.wallet-table-header {
      tr {
        th {
          font-size: 12px;
        }
      }
    }
    .walet-table-wrapper.waller-yable-scroller {
      overflow-y: auto;
      height: 160px;

      table.wallet-table-body {
        tr {
          td {
            font-size: 11px;
            font-weight: 500 !important;
          }
        }
      }
    }
    .bouns-info {
      font-size: 12px;
      font-weight: bold;
      padding-top: 10px;

      .bonus-bar {
        border: 1px solid $dark-green;
        padding: 1px;
        width: 52px;

        .bonus-bar-line {
          height: 9px;
          background: $dark-green;
        }
      }
    }
    .bonus-bottom-info {
      font-size: 12px;
      font-weight: bold;
      padding-top: 10px;
    }
    .bonus-bottom-btn {
      padding: 10px;

      .i-btn {
        height: 27px;
        font-size: 14px;
      }
    }
  }
}
.avatar {
  position: relative;
  overflow: hidden;
  cursor: pointer;

  .avatar-pop-up.i-pop-up {
    position: absolute;
    opacity: 0;
    top: 50%;
    right: -10px;
    background: #ffffff;
    min-width: 312px;
  }
}
.avatar:hover {
  overflow: visible;

  .avatar-pop-up.i-pop-up {
    position: absolute;
    opacity: 1;
    top: 97%;
    right: 0;
    font-size: 12px;
    font-weight: bold;
    @include box-shadow-pop-up();

    .name {
      padding: 9px;
      font-size: 13px;
      padding-top: 30px;
      position: relative;

      .flag {
        width: 31px;
        height: 31px;
        position: absolute;
        right: 12px;
        top: 23px;
      }
    }
    .any-fields {
      padding: 9px;

      p {

      }
    }
    .bottom-green-help-info {
      font-size: 13px;
      font-weight: normal;
      padding: 15px;
      background: $wery-light-green;
    }
  }
}